Bug 428961 - (CVE-2008-0007) CVE-2008-0007 kernel: insufficient range checks in fault handlers with mremap
CVE-2008-0007 kernel: insufficient range checks in fault handlers with mremap
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20080208,reported=20080116,sou...
: Security
Depends On: 428965 428966 428967 428968 428969 428970 428971
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-16 09:48 EST by Jan Lieskovsky
Modified: 2010-12-21 12:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 12:14:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-01-16 09:48:37 EST
Description of problem:

Problem description from Nick Piggin:

<cite>

Hi,

I have done an audit of some code and found security problems in several
drivers and some core code as well. I have only verified it is a problem and
patched it, but not explored the severity of the problem. However, it could be
anything up to allowing a local user to have read/write access of arbitrary
kernel memory.

</cite>

Acknowledgements:

Red Hat would like to thank Nick Piggin for responsibly disclosing this issue.
Comment 7 Jan Lieskovsky 2008-02-08 03:56:15 EST
Link to 2.6.23-stable review patch:

http://lkml.org/lkml/2008/2/6/457

Link to kernel changelog:

http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.22.17
Comment 8 Jan Lieskovsky 2008-02-08 04:27:39 EST
CVE-2008-0007 description:

Linux kernel before 2.6.22.17, when using certain drivers that register a fault
handler that does not perform range checks, allows local users to access kernel
memory via an out-of-range offset.
Comment 9 Jan Lieskovsky 2008-03-03 11:17:44 EST
This issue already public -- see comment c#7 for more details.
Comment 13 Vincent Danen 2010-12-21 12:14:21 EST
This was addressed via:

Red Hat Enterprise Linux version 3 (RHSA-2008:0211)
Red Hat Enterprise Linux version 5 (RHSA-2008:023)
Red Hat Enterprise Linux version 4 (RHSA-2008:0237)
Red Hat Linux Advanced Workstation 2.1 (RHSA-2008:0787)
Red Hat Enterprise Linux version 2.1 (RHSA-2009:0001)

Note You need to log in before you can comment on or make changes to this bug.